<template src="./createInfoComponent.htm"></template>

<script>

    import ValidationErrorsMixin from '../../../../../mixins/validationErrorsMixin.js';

    export default {

        data() {

            return {

                baseInfo: {

                    name: '',

                    description: '',
                    
                    address: '',
                    
                    public: 1
                }
            }
        },

        mixins: [
            ValidationErrorsMixin
        ],

        watch: {

            /**
             * Push base info to store on each attribute change
             **/
            baseInfo: {

                handler(newBaseInfo) {

                    this.$store.dispatch('setWarehouse', newBaseInfo);
                },

                deep: true
            }
        }
    }

</script>